"use strict";
// tslint:disable no-console
Object.defineProperty(exports, "__esModule", { value: true });
const archiver = require("archiver");
const fs_1 = require("fs");
const convertCssForEmotion_1 = require("./lib/convertCssForEmotion");
const convertedCss = convertCssForEmotion_1.convertCssForEmotion(fs_1.readFileSync("/dev/stdin").toString());
const writeStream = fs_1.createWriteStream("/dev/stdout");
const archive = archiver("tar", {
    gzip: true,
    gzipOptions: {
        level: 1,
    },
});
archive.on("error", (error) => {
    throw error;
});
archive.pipe(writeStream);
convertedCss.forEach((source, name) => {
    archive.append(source, { name });
});
archive.finalize();
