"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const postcss = require("postcss");
const Stringifier = require("postcss/lib/stringifier");
const convertSelectorForEmotion_1 = require("./convertSelectorForEmotion");
const escapeScopedCss_1 = require("./escapeScopedCss");
function convertScopedCssForEmotion(scopedCss, scope, knownScopes) {
    let scopedCssForEmotion = "";
    function builder(output, node, flag) {
        if ((flag === "start" || flag === "end") &&
            node &&
            node.type === "rule") {
            if (node.selector === scope) {
                if (node.parent.type === "root") {
                    return;
                }
                else if (flag === "start") {
                    output = "& {";
                }
            }
            else {
                if (flag === "start") {
                    const convertedSelectors = new Set();
                    (node.selectors || []).forEach((selector) => {
                        convertedSelectors.add(convertSelectorForEmotion_1.convertSelectorForEmotion(selector, scope, knownScopes));
                    });
                    // TODO remove join usage once https://github.com/prettier/prettier/issues/2883 is resolved
                    output = `${[...convertedSelectors].join(", ")} {`;
                }
            }
        }
        scopedCssForEmotion += output;
    }
    new Stringifier(builder).stringify(postcss.parse(scopedCss));
    return escapeScopedCss_1.escapeScopedCss(scopedCssForEmotion);
}
exports.convertScopedCssForEmotion = convertScopedCssForEmotion;
