"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parseSelector = require("postcss-selector-parser");
const convertScopeToModuleName_1 = require("./convertScopeToModuleName");
function convertSelectorForEmotion(selector, scope, knownScopes) {
    return parseSelector((nodes) => {
        nodes.first.walkClasses((node) => {
            if (node.toString() === scope) {
                node.toString = () => "&";
            }
            else if (knownScopes.has(node.toString())) {
                node.toString = () => ".${" + convertScopeToModuleName_1.convertScopeToModuleName(node.value) + "}";
            }
        });
    }).processSync(selector);
}
exports.convertSelectorForEmotion = convertSelectorForEmotion;
