"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const postcss = require("postcss");
const Stringifier = require("postcss/lib/stringifier");
const getNodeScopes_1 = require("./getNodeScopes");
const getSelectorScope_1 = require("./getSelectorScope");
function getCssIndexedByScope(css) {
    const cssIndexedByScope = new Map();
    const scopesStack = [new Set(["root"])];
    function builder(output, node, flag) {
        if (flag === "start" && node) {
            scopesStack.push(getNodeScopes_1.getNodeScopes(node));
        }
        if (flag === "end") {
            output += "\n\n";
        }
        scopesStack[scopesStack.length - 1].forEach((scope) => {
            if (cssIndexedByScope.has(scope) === false) {
                cssIndexedByScope.set(scope, "");
            }
            if (flag === "start" &&
                node &&
                node.type === "rule" &&
                (node.parent.type !== "atrule" ||
                    /keyframes$/.test(node.parent.name) === false)) {
                output = `${(node.selectors || [])
                    .filter((selector) => getSelectorScope_1.getSelectorScope(selector) === scope)} {`;
            }
            cssIndexedByScope.set(scope, cssIndexedByScope.get(scope) + output);
        });
        if (flag === "end") {
            scopesStack.pop();
        }
    }
    new Stringifier(builder).stringify(postcss.parse(css));
    return cssIndexedByScope;
}
exports.getCssIndexedByScope = getCssIndexedByScope;
