"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const postcss = require("postcss");
const parseSelector = require("postcss-selector-parser");
const getSelectorScope_1 = require("./getSelectorScope");
function getRequiredScopes(css, scope, scopes) {
    const requiredScopes = new Set();
    const root = postcss.parse(css);
    root.walkRules((rule) => {
        parseSelector((nodes) => {
            nodes.walkClasses((node) => {
                const selectorScope = getSelectorScope_1.getSelectorScope(node.toString());
                if (selectorScope === scope) {
                    return;
                }
                if (scopes.has(selectorScope)) {
                    requiredScopes.add(selectorScope);
                }
            });
        }).processSync(rule.selector);
    });
    return requiredScopes;
}
exports.getRequiredScopes = getRequiredScopes;
